<?php

namespace App\Http\Resources;

use App\TipoPedido;
use Illuminate\Http\Resources\Json\JsonResource;

class PedidoOllasResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request): array
    {
        $productos = $this->productos;
        foreach ($productos as $producto) {
            $producto['pivot']['total'] = number_format($producto->pivot->cantidad * $producto->precio, 2);
        }
        return [
            'id' => $this->id,
            'nombre' => $this->nombre,
            'productos' => $productos,
            'total' => number_format($this->totalCentralesSinTransporte(),2),
            'cantidad_de_ollas' => $this->cantidad_ollas,
        ];
    }
}
